	//----------TCodeScore开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.WorkOrderSys.Entity.Base;
using System.Runtime.Serialization;
	namespace Ewide.WorkOrderSys.Entity
	{	
        /// <summary>
        /// 数据表实体类：TCodeScore 
        /// </summary>
		[Table("TCodeScore")]
        public partial class TCodeScore: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public string ID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("StageID")]   
				[DataMember]  
			    public string StageID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UserID")]   
				[DataMember]  
			    public string UserID  {get;set;}   
                                /// <summary>
                /// 正确性0-10
                /// </summary>    
				
				[Display(Name="正确性0-10")]   
								[Column("CorrectScore")]   
				[DataMember]  
			    public decimal CorrectScore  {get;set;}   
                                /// <summary>
                /// 可靠性0-10
                /// </summary>    
				
				[Display(Name="可靠性0-10")]   
								[Column("ReliableScore")]   
				[DataMember]  
			    public decimal ReliableScore  {get;set;}   
                                /// <summary>
                /// 性能0-10
                /// </summary>    
				
				[Display(Name="性能0-10")]   
								[Column("PerformanceScore")]   
				[DataMember]  
			    public decimal PerformanceScore  {get;set;}   
                                /// <summary>
                /// 易懂性0-20
                /// </summary>    
				
				[Display(Name="易懂性0-20")]   
								[Column("ComprehendScore")]   
				[DataMember]  
			    public decimal ComprehendScore  {get;set;}   
                                /// <summary>
                /// 规范性0-50
                /// </summary>    
				
				[Display(Name="规范性0-50")]   
								[Column("StandardScore")]   
				[DataMember]  
			    public decimal StandardScore  {get;set;}   
                                /// <summary>
                /// 缺陷
                /// </summary>    
				
				[Display(Name="缺陷")]   
								[Column("DefectScore")]   
				[DataMember]  
			    public decimal DefectScore  {get;set;}   
                                /// <summary>
                /// 优化
                /// </summary>    
				
				[Display(Name="优化")]   
								[Column("OptimizeScore")]   
				[DataMember]  
			    public decimal OptimizeScore  {get;set;}   
                                /// <summary>
                /// 调整
                /// </summary>    
				
				[Display(Name="调整")]   
								[Column("AdjustmentScore")]   
				[DataMember]  
			    public decimal AdjustmentScore  {get;set;}   
                                /// <summary>
                /// 总分
                /// </summary>    
				
				[Display(Name="总分")]   
								[Column("TotalScore")]   
				[DataMember]  
			    public decimal TotalScore  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Remark")]   
				[DataMember]  
			    public string Remark  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：TCodeScore 
            /// </summary>
            public class TCodeScoreMap : EntityTypeConfiguration<TCodeScore>
			{
                public TCodeScoreMap()
                {
					this.ToTable("TCodeScore");
												this.HasKey(t => t.ID);
													 this.Property(t => t.StageID).HasColumnName("StageID").IsRequired();
													 this.Property(t => t.UserID).HasColumnName("UserID").IsRequired();
													 this.Property(t => t.CorrectScore).HasColumnName("CorrectScore").IsRequired();
													 this.Property(t => t.ReliableScore).HasColumnName("ReliableScore").IsRequired();
													 this.Property(t => t.PerformanceScore).HasColumnName("PerformanceScore").IsRequired();
													 this.Property(t => t.ComprehendScore).HasColumnName("ComprehendScore").IsRequired();
													 this.Property(t => t.StandardScore).HasColumnName("StandardScore").IsRequired();
													 this.Property(t => t.DefectScore).HasColumnName("DefectScore").IsRequired();
													 this.Property(t => t.OptimizeScore).HasColumnName("OptimizeScore").IsRequired();
													 this.Property(t => t.AdjustmentScore).HasColumnName("AdjustmentScore").IsRequired();
													 this.Property(t => t.TotalScore).HasColumnName("TotalScore").IsRequired();
													 this.Property(t => t.Remark).HasColumnName("Remark");
										}
			}**/

	}

	//----------TCodeScore结束----------

	